Bug 912367 - qt-creator 2.6.x (and newer) is FTBFS on non-x86 arches
qt-creator 2.6.x (and newer) is FTBFS on non-x86 arches
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
: 920077 (view as bug list)
Depends On: 822421
Blocks: ARMTracker ZedoraTracker DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2013-02-18 09:33 EST by Peter Robinson
Modified: 2013-07-26 03:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: qt-creator-2.8.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 03:08:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-02-18 09:33:51 EST
qt-creator 2.6.x is FTBFS on ARM on all releases.

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=8104

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1446935

g++ -c -pipe -fPIC -ansi -fpermissive -finline-functions -Wno-long-long -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -O2 -fvisibility=hidden -Wall -W -D_REENTRANT -fPIC -DQSSH_LIBRARY -DIDE_LIBRARY_BASENAME=\"lib\" -DQT_NO_CAST_TO_ASCII -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DBOTAN_DLL= -DBOTAN_TARGET_OS_HAS_GETTIMEOFDAY -DBOTAN_HAS_ALLOC_MMAP -DBOTAN_HAS_ENTROPY_SRC_DEV_RANDOM -DBOTAN_HAS_ENTROPY_SRC_EGD -DBOTAN_HAS_ENTROPY_SRC_FTW -DBOTAN_HAS_ENTROPY_SRC_UNIX -DBOTAN_HAS_MUTEX_PTHREAD -DBOTAN_HAS_PIPE_UNIXFD_IO -DBOTAN_TARGET_OS_IS_LINUX -DBOTAN_TARGET_OS_HAS_CLOCK_GETTIME -DBOTAN_TARGET_OS_HAS_DLOPEN -DBOTAN_TARGET_OS_HAS_GMTIME_R -DBOTAN_TARGET_OS_HAS_POSIX_MLOCK -DBOTAN_HAS_DYNAMICALLY_LOADED_ENGINE -DBOTAN_HAS_DYNAMIC_LOADER -DBOTAN_BUILD_COMPILER_IS_GCC -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include -I../../../src -I../../libs -I/builddir/build/BUILD/qt-creator-2.6.2-src/tools -I../../plugins -I../3rdparty -I.moc/release-shared -I.uic -o .obj/release-shared/botan.o ../3rdparty/botan/botan.cpp
../3rdparty/botan/botan.cpp:46220:21: fatal error: cpuid.h: No such file or directory
compilation terminated.
Comment 1 Fedora End Of Life 2013-04-03 11:04:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Peter Robinson 2013-04-13 04:08:13 EDT
Any update?
Comment 3 Dan Horák 2013-05-28 06:11:59 EDT
also bundled botan library is used
Comment 4 Dan Horák 2013-05-28 06:52:40 EDT
*** Bug 920077 has been marked as a duplicate of this bug. ***
Comment 5 Dan Horák 2013-07-17 11:17:07 EDT
and what's even worse the bundled botan includes elliptic curve crypto if I see correctly

but I think I see a solution for the FTBFS (without unbundling botan for now)
Comment 6 Dan Horák 2013-07-17 11:42:13 EDT
hm, qt-creator can use system botan by adding USE_SYSTEM_BOTAN=1 to qmake call, but it needs to be botan >= 1.10
Comment 7 Dan Horák 2013-07-26 03:08:31 EDT
qt-creator-2.8.0-3.fc20 now uses system botan

The bundled botan is preconfigured for x86 and with one override also for x86_64, so build on another little endian arch should be doable, but big endians are out of business here without heavy configuration patching.

Note You need to log in before you can comment on or make changes to this bug.